Subject: bug#12893: 24.2.50; url-retrieve fails for localhost

From: Dmitry Gutov <[email-masked]>
Date: Sat, 22 Dec 2012 13:11:53 +0400

On 22.12.2012 7:03, Chong Yidong wrote:
> Dmitry Gutov <[email-masked]> writes:
>
>> I have an HTTP server running, started from an inferior process.
>>
>> If I evaluate (switch-to-buffer (url-retrieve-synchronously
>> "http://localhost:24959/classes")), it brings me to an empty buffer
>> which has "failed" in the mode line.
>>
>> If I call the asynchronous version, it passes this into the callback:
>>
>> ((:error (error connection-failed failed with code 111
>>   :host localhost :service 24959)))
>
> I think this may be the same as Bug#12374, which was just fixed by
> Takafumi Arakaki.  Could you try again with latest trunk and see if the
> problem is still there?

Tried it, still there.

This might be a quirk of configuration (the OS is installed on a virtual 
machine), but the obvious other software works properly.